DestroyMode (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.tomcat.dbcp.pool2, enum: DestroyMode

# Enum DestroyMode

java.lang.Object
java.lang.Enum<DestroyMode>
org.apache.tomcat.dbcp.pool2.DestroyMode

All Implemented Interfaces:
  `Serializable, Comparable<DestroyMode>, java.lang.constant.Constable`

public enum DestroyMode extends Enum<DestroyMode>
Destroy context provided to object factories via `destroyObject` and `invalidateObject` methods. Values provide information about why the pool is asking for a pooled object to be destroyed.

Since:
  2.9.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABANDONED`
  Destroy abandoned object.
  `NORMAL`
  Normal destroy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DestroyMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DestroyMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final DestroyMode NORMAL
    Normal destroy.

  - ### ABANDONED

    public static final DestroyMode ABANDONED
    Destroy abandoned object.

- ## Method Details

  - ### values

    public static DestroyMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DestroyMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null